%global rdnn_name org.deskflow.deskflow

Name:           deskflow
Version:        1.21.2
Release:        %mkrel 1
Summary:        Mouse and keyboard sharing utility
License:        GPLv2+
Group:          Networking/Remote access
URL:            https://github.com/deskflow/deskflow
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)
BuildRequires:  pkgconfig(CLI11)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmock)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libcrypto) >= 3.0.0
BuildRequires:  pkgconfig(libei-1.0) >= 1.3.0
BuildRequires:  pkgconfig(libportal) >= 0.8.0
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(tomlplusplus)
BuildRequires:  pkgconfig(valgrind)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xtst)

# Replace synergy
Obsoletes:      synergy < 1.14.6.19-2
Provides:       synergy = %{version}-%{release}
Obsoletes:      synergy-gui < 1.14.6.19-2
Provides:       synergy-gui = %{version}-%{release}

%description
Deskflow is software that mimics the functionality of a KVM switch, which
historically would allow you to use a single keyboard and mouse to control
multiple computers by physically turning a dial on the box to switch the
machine you're controlling at any given moment.

Deskflow does this in software, allowing you to tell it which machine to
control by moving your mouse to the edge of the screen, or by using a
keypress to switch focus to a different system.


%prep
%autosetup -p1

%build
%cmake -DBUILD_DOCS=ON
%cmake_build

%install
%cmake_install

%check
%{_vpath_builddir}/bin/unittests
%{_vpath_builddir}/bin/integtests

%files
%license LICENSE LICENSE_EXCEPTION
%doc README.md doc/ html/
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_bindir}/%{name}-server
%{_datadir}/applications/%{rdnn_name}.desktop
%{_iconsdir}/hicolor/*/apps/%{rdnn_name}.png
%{_metainfodir}/%{rdnn_name}.metainfo.xml
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-client.1*
%{_mandir}/man1/%{name}-server.1*


%changelog
* Mon May 19 2025 daviddavid <daviddavid> 1.21.2-1.mga10
+ Revision: 2184855
- new version: 1.21.2
- switch to Qt6
- obsoletes/provides old synergy and synergy-gui pkgs
- switch to the free and open source deskflow project

* Tue Sep 05 2023 daviddavid <daviddavid> 1.14.6.19-1.mga10
+ Revision: 1984238
- new version: 1.14.6.19
- remove merged upstream patches

* Tue Feb 21 2023 daviddavid <daviddavid> 1.14.5.14-1.mga9
+ Revision: 1944501
- new version: 1.14.5.14
- package manpages
- update Url

* Wed Apr 06 2022 umeabot <umeabot> 1.13.0-3.mga9
+ Revision: 1845665
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.13.0-2.mga9
+ Revision: 1748090
- rebuild for openssl 3.0.0

* Wed Dec 30 2020 daviddavid <daviddavid> 1.13.0-1.mga8
+ Revision: 1665832
- new version: 1.13.0

* Thu Dec 24 2020 daviddavid <daviddavid> 1.12.0-1.mga8
+ Revision: 1663377
- new version: 1.12.0

* Thu Dec 17 2020 umeabot <umeabot> 1.10.3-3.mga8
+ Revision: 1659958
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 1.10.3-2.mga8
+ Revision: 1530776
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Sep 03 2019 daviddavid <daviddavid> 1.10.3-1.mga8
+ Revision: 1436716
- new version: 1.10.3

* Sat Apr 13 2019 wally <wally> 1.10.1-1.mga7
+ Revision: 1389769
- new version 1.10.1

* Sun Sep 23 2018 umeabot <umeabot> 1.7.6-3.mga7
+ Revision: 1301280
- Mageia 7 Mass Rebuild

* Tue Sep 05 2017 cjw <cjw> 1.7.6-2.mga7
+ Revision: 1151588
- rebuild for openssl 1.1

* Fri Mar 25 2016 wally <wally> 1.7.6-1.mga6
+ Revision: 995528
- new version 1.7.6
- rediff P31

* Thu Mar 03 2016 umeabot <umeabot> 1.7.4-3.mga6
+ Revision: 984451
- Rebuild for openssl

* Wed Feb 17 2016 umeabot <umeabot> 1.7.4-2.mga6
+ Revision: 962999
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 wally <wally> 1.7.4-1.mga6
+ Revision: 842154
- drop upstreamed patch
- new version 1.7.4
- remove README.urpmi as cryptopp support was removed

* Tue Jun 23 2015 wally <wally> 1.7.3-1.mga6
+ Revision: 841198
- new version 1.7.3
- drop unneeded patches and rediff ones doesn't apply properly
- install syntool binary and plugins

* Sat Jun 20 2015 wally <wally> 1.6.2-1.mga6
+ Revision: 836475
- new version 1.6.2

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 740816
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 689655
- Mageia 5 Mass Rebuild

* Thu May 29 2014 wally <wally> 1.5.0-1.mga5
+ Revision: 627675
- new version 1.5.0
- sync/rediff patches with Gentoo
- rediff version check patch from Debian

* Mon Mar 17 2014 wally <wally> 1.4.16-2.mga5
+ Revision: 604386
- install synergyd binary also
- use man pages from Debian
- add README.urpmi about security concerns with Crypto++ (idea from Debian)

* Mon Mar 17 2014 wally <wally> 1.4.16-1.mga5
+ Revision: 604349
- new version 1.4.16
- add patch from Debian to not check updates

* Thu Feb 06 2014 wally <wally> 1.4.15-1.mga5
+ Revision: 584525
- new version 1.4.15

* Tue Oct 22 2013 umeabot <umeabot> 1.4.12-3.mga4
+ Revision: 545281
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 wally <wally> 1.4.12-2.mga4
+ Revision: 501025
- add patch to fix linking

* Mon Jun 03 2013 wally <wally> 1.4.12-1.mga4
+ Revision: 436742
- new version 1.4.12
- add patch to build against system cryptopp (originally from OpenBSD)

* Mon Jan 14 2013 umeabot <umeabot> 1.4.10-2.mga3
+ Revision: 383907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 28 2012 wally <wally> 1.4.10-1.mga3
+ Revision: 284966
- new version 1.4.10
- clean .spec a bit

* Fri Jun 01 2012 wally <wally> 1.4.8-1.mga3
+ Revision: 252891
- new version 1.4.8

* Fri Feb 24 2012 wally <wally> 1.4.7-1.mga2
+ Revision: 214126
- new version 1.4.7

* Sun Feb 05 2012 wally <wally> 1.4.6-1.mga2
+ Revision: 204829
- new version 1.4.6
- drop upstreamed gtk3 patch

* Fri Dec 09 2011 wally <wally> 1.4.5-1.mga2
+ Revision: 179781
- new version 1.4.5
- add P0 from upstream to fix some gtk3 compatibility issues
- minor changes in packaging

* Sat Mar 26 2011 wally <wally> 1.4.2-1.mga1
+ Revision: 77777
- new version 1.4.2
- use upstream provided man pages
- create a subpackage for Qt based GUI

* Sat Mar 26 2011 wally <wally> 1.3.6-1.mga1
+ Revision: 77702
- drop buildroot definition
- uncompress S1 and S2
- clean .spec
- imported package synergy

